export declare type VideosExistInPlaylists = {
    [videoId: number]: VideoExistInPlaylist[];
};
export declare type CachedVideosExistInPlaylists = {
    [videoId: number]: CachedVideoExistInPlaylist[];
};
export declare type CachedVideoExistInPlaylist = {
    playlistElementId: number;
    playlistId: number;
    startTimestamp?: number;
    stopTimestamp?: number;
};
export declare type VideoExistInPlaylist = CachedVideoExistInPlaylist & {
    playlistDisplayName: string;
    playlistShortUUID: string;
};
//# sourceMappingURL=video-exist-in-playlist.model.d.ts.map