/// <reference types="short-uuid" />
declare class VideoTokensManager {
    private static instance;
    private readonly lruCache;
    private constructor();
    create(videoUUID: string): {
        token: import("short-uuid").UUID;
        expires: Date;
    };
    hasToken(options: {
        token: string;
        videoUUID: string;
    }): boolean;
    static get Instance(): VideoTokensManager;
}
export { VideoTokensManager };
//# sourceMappingURL=video-tokens-manager.d.ts.map