import express from 'express';
import { MUserDefault } from '../../../types/models';
declare function checkUserIdExist(idArg: number | string, res: express.Response, withStats?: boolean): Promise<boolean>;
declare function checkUserEmailExist(email: string, res: express.Response, abortResponse?: boolean): Promise<boolean>;
declare function checkUserNameOrEmailDoesNotAlreadyExist(username: string, email: string, res: express.Response): Promise<boolean>;
declare function checkUserExist(finder: () => Promise<MUserDefault>, res: express.Response, abortResponse?: boolean): Promise<boolean>;
export { checkUserIdExist, checkUserEmailExist, checkUserNameOrEmailDoesNotAlreadyExist, checkUserExist };
//# sourceMappingURL=users.d.ts.map